<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasOne;

use App\Traits\ModelLogChanging;

class StationRuleBatch extends Model
{
    use ModelLogChanging;

    protected $fillable=['name','station_type_id','batch_type','owner_id'];

    public function stationType(): BelongsTo
    {
        return $this->belongsTo(StationType::class);
    }

    public function owner() :BelongsTo
    {
        return $this->belongsTo(Owner::class);
    }
}
